Skip to main content
`Ctrl`+`K`

# PCMGSetAdaptInterpolation

Adapt the interpolator based upon a vector space which should be accurately captured by the next coarser mesh, and thus accurately interpolated.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGSetAdaptInterpolation(PC pc, PetscBool adapt)

Logically Collective

## Input Parameters

- pc - the multigrid context

- adapt - flag for adaptation of the interpolator

## Options Database Keys

- -pc_mg_adapt_interp - Turn on adaptation

- -pc_mg_adapt_interp_n nmodes - The number of modes to use, should be divisible by dimension

- -pc_mg_adapt_interp_coarse_space type - The type of coarse space: polynomial, harmonic, eigenvector, generalized_eigenvector

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGGetAdaptInterpolation()`, `PCMGSetGalerkin()`, `PCMGGetAdaptCoarseSpaceType()`, `PCMGSetAdaptCoarseSpaceType()`

## Level

intermediate

## Location

src/ksp/pc/impls/mg/mg.c

## Implementations

PCMGSetAdaptInterpolation_MG() in src/ksp/pc/impls/mg/mg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages